Contacts
Update a contact
Update a single contact. Only non-empty fields are set.
PUT
/
contacts
/
{id}
Update a contact
curl --request PUT \
--url https://{domain}/api/site/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'User-Agent: <api-key>' \
--data '
{
"email": "john@doe.com",
"name": "John Doe",
"phone": "+123456789",
"note": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"companyName": "<string>",
"properties": [
{
"name": "lead_status",
"value": "contacted"
}
],
"tags": [
"<string>"
],
"subscribed": true,
"subscriberLists": [
123
]
}
'import requests
url = "https://{domain}/api/site/contacts/{id}"
payload = {
"email": "john@doe.com",
"name": "John Doe",
"phone": "+123456789",
"note": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"companyName": "<string>",
"properties": [
{
"name": "lead_status",
"value": "contacted"
}
],
"tags": ["<string>"],
"subscribed": True,
"subscriberLists": [123]
}
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'User-Agent': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'john@doe.com',
name: 'John Doe',
phone: '+123456789',
note: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>',
companyName: '<string>',
properties: [{name: 'lead_status', value: 'contacted'}],
tags: ['<string>'],
subscribed: true,
subscriberLists: [123]
})
};
fetch('https://{domain}/api/site/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "John Doe",
"email": "john@doe.com",
"phone": "+123456789",
"note": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"companyName": "<string>",
"createdOn": 1573240303,
"properties": [
{
"name": "lead_status",
"value": "contacted"
}
],
"tags": [
"tag1",
"tag2"
],
"memberId": 487,
"subscribed": true,
"subscriberLists": [
0,
87647751
]
}{
"success": false,
"message": "Resource not found"
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Path Parameters
The id of the contact.
Example:
123
Body
application/json
Response
The updated contact.
Unique identifier.
Example:
123
Contact name.
Example:
"John Doe"
Email address of the contact.
Example:
"john@doe.com"
Contact phone.
Example:
"+123456789"
Private note.
Timestamp in Unix seconds since epoch.
Example:
1573240303
Array of custom properties, as defined in the CRM section of your website.
Show child attributes
Show child attributes
List of tags assigned to the contact.
Example:
["tag1", "tag2"]
Member id if assigned to contact.
Example:
487
Whether the contact is a subscriber (for email marketing).
Array of subscriber list IDs (email marketing lists).
Example:
[0, 87647751]
Last modified on September 2, 2026
Was this page helpful?
⌘I
Update a contact

